[mythtv-users] Gentoo users - be careful with nvidia-drivers-190.53

MarcT myrdhn at gmail.com
Fri Dec 25 13:37:31 UTC 2009


2009/12/25 MarcT <myrdhn at gmail.com>:
> The VDPAU libraries belong in /usr/lib[32,64]/vdpau. Read the release
> by
> NVIDIA for 190.53. Applications should never link directly against
> libvdpau_nvidia.so but it appears some applications are incorrectly doing
> this.

That's not how it works... and no program link directly to

There are two set of vdpau libraries.
The wrapper: libvdpau.so located in /usr/lib/

And the vdpau "drivers" located in /usr/lib/vdpau

MythTV is only linked to libvdpau.so

The job of libvdpau.so is to locate the drivers and properly loads
them and provde the VDPAU API.


Jean, you cut out the most important part, this wasn't my idea =p
It was just a copy paste of what someone who replied in that gentoo ticket
said. And I did say it could be wrong =p


More information about the mythtv-users mailing list